Subject: Re: Feedback on the configuration I am considering

From: James Dugger via PLUG-discuss <[email-masked]>
Date: Tue, 10 Jun 2025 23:02:42 -0700

Hey Keith,

Here is another idea.  Rather than using VirtualBox, build your LAMP stack
in Docker.

   1. Use your versioned code as your source of truth.
   2. Use an official free LAMP Docker image and spec your own LAMP version
   with your PHP framework on it by creating a Dockerfile.  Version this in
   Bitbucket (Also free) along with your framework codebase.
   3. Backup your MySQL (database) files and tag each version with a unique
   timestamp, git commit sha or something.
   4. With your script add your unique timestamp etc as a tag to the
   version controlled repositories commit that represents the state of your
   codebase of the website in items 1 & 2.  So that when you reverse your
   script, you can standup the codebase, the LAMP stack, and restore the
   database anywhere.

Except for storing the sqldump versions (unless you can store them for free
also) everything can be versioned backed up to cloud accounts that are free
and cost nothing.

Then you don't have to worry about how beefy your system is
for your Websites or Vbox and the value of using Docker is that your sites
run in isolation regardless of the underlying OS platform.  You can use any
system to develop if necessary.

At home I develop on a Lenovo T-470p laptop it is a nice system but it is
10 years old, and still running fine.  Not upgrading it to Win 11 so I
removed Win10 and I'm running Fedora 42 on it, I believe it has 32GB, 500
GB nvme, I don't do video or anything so no benchmark for that.  But I
don't pay any fees for my development using Git for VCS and Bitbucket is my
remote VCS manager.

Are you personally hosting your websites or are you using AWS? You
mentioned S3.

On Tue, Jun 10, 2025 at 2:16 PM Keith Smith via PLUG-discuss <
[email-masked]> wrote:

> On 2025-06-09 14:42, Steve Litt via PLUG-discuss wrote:
> > On Sun, 08 Jun 2025 19:09:27 -0700
> > Keith Smith via PLUG-discuss <[email-masked]> wrote:
> >
> >> Hi,
> >>
> >> Currently I am running Kubuntu on a 10 year old Dell that I upgraded
> >> to 16GB of RAM (Years ago) and an SSD drive.
> >>
> >> I have an old laptop running Win10 that came with a NVMe SSD and I
> >> have since upgraded to 16G of RAM and I added a 500G laptop hard
> >> drive (I have several just laying around).
> >>
> >>
> >> On the Win box I installed VirtualBox  which allows me to create
> >> different vhosts (lamp).  I also use the Win box for recording videos
> >> as well editing.
> >
> > Can you find Linux based programs to create and edit videos? This would
> > be an excellent time to free yourself of Windows for good.
> >
>
> There is a ton of them.
>
> >>
> >> I wrote an Amazon S3 PHP SDK script that allows me to backup my
> >> production websites.
> >>
> >> I was thinking at some point in the future I was going to build a
> >> monster computer to do all these things.
> >>
> >> Now I am thinking I can buy a simple shared hosting account and
> >> offload the VBox. I can make a subdomain for each of my projects and
> >> configure my Amazon S3 PHP SDK script to backup each project
> >
> > I doubt any kind of "cloud" (somebody else's computer) will compete
> > with what you call a "monster computer".
>
> It's the support and work.  It is BIG pain to create a LAMP stack Ubuntu
> VM.  I'm still analyzing my next step.
>
> >
> > Given that you've been working just fine with a couple old computers
> > with 16GB RAM and 500 to 1000GB of storage, I imagine a regular 6 core,
> > 12 thread computer with 64 GB RAM, 1TB NVMe and 10TB 72RPM spinning
> > rust will do you just fine.
>
> I tend to agree.
>
> > I put one of those together in 2020 for
> > about $2200, but today such a computer is pretty much a commodity, so
> > you can probably do it a lot cheaper. I normally keep my computers for
> > 5 years, so that would be less than $500 a year I spent on my computer.
> > You appear to keep you computers twice that interval, and the computer
> > would probably cost you $1800...
>
> Interesting point ==>> (would have been less before all this
> > tariff bullshit),
>
> You and I have seen this movie before.  We were a victim of super high
> inflation in our youth. The reported 40% inflation over the past 4 years
> has stolen from my household, I figure we have lost upwards of
> $1500/month in buying power.
>
> I have not experienced anything I would id as a result of tariffs.
>
> > so you'll be paying $180/year for what you would
> > think is a blindingly fast computer that you can still be using 10
> > years from now, long after your current two computers are unable to run
> > a current browser.
>
> Using old stuff is a necessity.  Too little cash flow/buying power.
>
> >
> > And as far as your shared hosting accounts, those things get sold, and
> > the new owners destroy them, and your data becomes unavailable to you
> > but available to bad guys, and the price of shared hosting will
> > probably
> > increase with time.
> >
>
> No doubt.  I've seen some slowdowns, however I have not seen any
> lost/compromised data.
>
> > Oh, and backups: If your win10 machine has a USB3 port, convert to
> > Linux, plug in a (non-seagate) USB driven hard disk, and use rsync.
>
> What do you mean by non-seagate?  Have you had problems with Seagate
> drives?
>
> Good advice.  I have more than a few Seagate Backup Plus USB drives.
>
>
>
> >
> >>
> >> I still need to record and edit videos.
> >
> > If you absolutely, positively can't record and edit videos on Linux,
> > then you need to buy a pretty good Win11 machine, and take the hit when
> > Win12 replaces Win11.
>
> I can do all I need on Linux.
>
> >
> >> I'm thinking I only need a simple laptop at that point - 4 cores, 32G
> >> of RAM, and an SSD drive, running Kubuntu.
> >
> > You can probably buy that hardware used, for under $600.00. Extra
> > points if you have a desktop format so you can actually repair,
> > maintain and enhance it.
> >
>
> Thanks for the advice!!
>
> Keith
>
>
> > SteveT
> >
> > Steve Litt
> > Spring 2023 featured book: Troubleshooting Techniques of the Successful
> > Technologist http://www.troubleshooters.com/techniques
> >
> > ---------------------------------------------------
> > PLUG-discuss mailing list: [email-masked]
> > To subscribe, unsubscribe, or to change your mail settings:
> > https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>

-- 
James

*Linkedin <http://www.linkedin.com/pub/james-h-dugger/15/64b/74a/>*
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss